/* This file includes input/output routines:
!-- IO(handle,file,"mode") :: Standard IO through fopen
!-- IOR(handle,file,mode) :: Raw IO through open
*/

#define IO(handle,file,mode) \
  if ((handle = fopen(file,mode)) == NULL) { \
    printf("\n\nERROR:: can't open %s for %s\n",file,mode); \
    exit(1); \
  }

#define IOR(handle,file,mode) \
  if ((handle = open(file, mode)) < 0) { \
    (void) fprintf(stderr, "can't open %s\n", file); \
    exit(1);  \
  }

#define BEGIN_FILE 0
#define CURRENT_FILE 1
#define END_FILE 2
